﻿using System;
using System.Net;
using Pz.API.QH360.SDK.Enum;
using Pz.API.QH360.SDK.Model;

namespace Pz.API.QH360.SDK.API
{
    /// <summary>
    /// 所有api服务的基类
    /// </summary>
    [Serializable]
    public class APIParent
    {
        /// <summary>
        /// 头部请求信息
        /// </summary>
        public PostHeaders AuthHeader { get; set; }
        /// <summary>
        /// 定义请求的代理
        /// </summary>
        public IWebProxy WebProxy { get; set; }
        /// <summary>
        /// 设置超时时间
        /// </summary>
        public int WebTimeOut { get; set; }

        /// <summary>
        /// 获取服务的类型
        /// </summary>
        internal virtual ServiceType ServiceType { get;private set; }
    }
}
