﻿using System;
using Pz.API.QH360.SDK.Common;
using Pz.API.QH360.SDK.Enum;
using Pz.API.QH360.SDK.Model;

namespace Pz.API.QH360.SDK.API
{
    /// <summary>
    /// 用于第三方应用检测升级
    /// </summary>
    public class APITool : APIParent
    {
        /// <summary>
        /// 获取服务的类型
        /// </summary>
        internal override ServiceType ServiceType
        {
            get { return ServiceType.tool; }
        }

        /// <summary>
        /// 用于第三方应用检测升级
        /// </summary>
        /// <param name="accountInfo">checkUpdate 包含新版appid ,新版下载或详情URL</param>
        /// <returns>Result</returns>
        public Result checkUpdate(ref ToolCheckUpdate checkUpdate)
        {
            if (checkUpdate == null)
                return null;
            Result res = new Result();
            MyHttpRequest req = new MyHttpRequest(this);
            req.methodType = MethodType.checkUpdate;
            req.postResponse(null);
            req.GetRes(ref res);
            switch (req.status)
            {
                case ResultStatus.Succeed:
                    ToolCheckUpdate m = Json.Deserialize<ToolCheckUpdate>(req.data);
                    if (null == m)
                        break;
                    res.Failures = m.failures;
                    checkUpdate = m;
                    break;
                case ResultStatus.Fail:
                    break;
                case ResultStatus.DataIsEmpty:
                    break;
            }
            return res;
        }

        /// <summary>
        /// 第三方升级检测参数
        /// </summary>
        [Serializable]
        public class ToolCheckUpdate : ApiResult
        {
            public string appid { get; set; }
            public string url { get; set; }

            public string UpdateFileName { get { return "360点睛营销助手"; } }
            public string UpateVesion { get { return appid; } }
            public string DownLoadUrl { get { return url; } }
            public bool IsForceUpdate { get { return false; } }
        }
   }
}
