﻿using System;
using System.Collections.Generic;
using System.Text;
using Newtonsoft.Json;

namespace Pz.API.QH360.SDK.Common
{
    /// <summary>
    /// Json解析类
    /// </summary>
    public class Json
    {
        /// <summary>
        /// Json字符串解析成实体
        /// </summary>
        /// <typeparam name="T"></typeparam>
        /// <param name="value"></param>
        /// <returns></returns>
        public static T Deserialize<T>(string value)
        {
            try
            {
#if NET35
                return JsonConvert.DeserializeObject<T>(value);                     //Newtonsoft.Json 3.5版本 
#else
                 return (T)JavaScriptConvert.DeserializeObject(value, typeof(T));   //Newtonsoft.Json 1.3版本
#endif
            }
            catch (Exception ex)
            {
                LogHelper.InternalLog.Error(value);
                LogHelper.InternalLog.Error(ex.Message);
                return default(T);
            }
        }

        /// <summary>
        /// 实体序列化成json串
        /// </summary>
        /// <param name="obj"></param>
        /// <returns></returns>
        public static string SerializeObject(object obj)
        {
#if NET35
            return JsonConvert.SerializeObject(obj);      //Newtonsoft.Json 3.5版本 
#else
             return JavaScriptConvert.SerializeObject(obj);  //Newtonsoft.Json 1.3版本
#endif
        }
    }
}
