﻿using System;
using System.Collections.Generic;
using System.Text;
using Pz.API.QH360.SDK.Enum;

namespace Pz.API.QH360.SDK.Common
{
    partial class MyConfig
    {
        /// <summary>
        /// OAuth验证URL
        /// </summary>
        public const string OAuthHostUrl = "https://openapi.360.cn/oauth2/";

        /// <summary>
        /// API域名
        /// </summary>
        public const string APIHost = "https://api.e.360.cn";
        /// <summary>
        /// API请求的域名
        /// </summary>
        public const string APIHostUrl = APIHost + "/{0}/{1}/{2}";

        /// <summary>
        /// 获取文本的数据编码 
        /// </summary>
        public static Encoding PostEncoding = Encoding.UTF8;
        /// <summary>
        /// 获取文本的数据编码 
        /// </summary>
        public static Encoding MyEncoding = Encoding.UTF8;
        /// <summary>
        /// 设置API的版本
        /// </summary>
        public const string Version = "1.0";
        /// <summary>
        /// 设置返回文本的格式
        /// </summary>
        public const Format MyFormat = Format.JSON;

        /// <summary>
        /// 每次请求批量操作数
        /// </summary>
        public const int MaxRequestCount = 1000;

        /// <summary>
        /// 并发时开启的多线程数量
        /// </summary>
        public const int MultiThreadCount =5;

        /// <summary>
        /// 也是每次请求批量操作数,只是针对于不能设置为系统上线,如关键词批量添加,过大容易网管超时异常
        /// </summary>
        public const int MaxBatchCount = 1000;

        /// <summary>
        /// 设置特殊api的超时时间
        /// </summary>
        public const int WebTimeOut = 10000; //次为10秒
    }
}
