﻿using System;
using System.Collections.Generic;
using System.Text;
using Pz.API.QH360.SDK.Model;

namespace Pz.API.QH360.SDK.Common
{
    /// <summary>
    /// 用于调用api显示进度的委托
    /// </summary>
    /// <param name="progressValue"></param>
    public delegate void WorkReportsProgressDelegate(int progressValue);

    /// <summary>
    /// 监视api的全局变量
    /// </summary>
    public class QhApiGlobal
    {
        private static Result curruntResult = null;
        public static Result CurruntResult
        {
            get { return curruntResult; }
            set
            {
                curruntResult = value;
                if (value != null)
                {
                    long resultCode = value.ResultCode;
                    long resultQuota = value.QuotaRemain;
                    if (ResultCodeChanged != null)
                        ResultCodeChanged(resultCode, null);
                    if (ResultQuotaChanged != null)
                        ResultQuotaChanged(resultQuota,null);
                }
            }
        }
        /// <summary>
        /// 检测全局返回代码
        /// </summary>
        public static event EventHandler ResultCodeChanged;

        /// <summary>
        /// 检测全局配额
        /// </summary>
        public static event EventHandler ResultQuotaChanged;
    }
}
