﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Pz.API.QH360.SDK.Enum
{
    /// <summary>
    /// 方法类型
    /// </summary>
    [Serializable]
    public enum MethodType
    {
        /// <summary>
        /// 更新账户预算
        /// </summary>
        updateBudget,
        /// <summary>
        /// 获取推广计划列表
        /// </summary>
        getCampaignIdList,
        /// <summary>
        /// 添加
        /// </summary>
        add,
        /// <summary>
        /// 根据id 删除
        /// </summary>
        deleteById,
        /// <summary>
        /// 更新方法
        /// </summary>
        update,
        /// <summary>
        /// 根据ID获取信息
        /// </summary>
        getInfoById,
        /// <summary>
        /// 根据计划id 查询
        /// </summary>
        getIdListByCampaignId,
        /// <summary>
        /// 根据组id获取关键词或创意id
        /// </summary>
        getIdListByGroupId,
        /// <summary>
        /// 根据id列表获得子项详细信息
        /// </summary>
        getInfoByIdList,
        /// <summary>
        /// 根据id列表删除
        /// </summary>
        deleteByIdList,
        /// <summary>
        /// 批量更新
        /// </summary>
        updateByIdList,
        /// <summary>
        /// 下载账户数据
        /// </summary>
        getAllObjects,
        /// <summary>
        ///  获取文件下载状态
        /// </summary>
        getFileState ,
        /// <summary>
        /// 查询推广帐号信息
        /// </summary>
        getInfo,
        /// <summary>
        /// 获取IP排除列表
        /// </summary>
        getExcludeIp,
        /// <summary>
        /// 更新IP排除列表
        /// </summary>
        updateExcludeIp,
        /// <summary>
        /// 批量获取状态 
        /// </summary>
        getStatusByIdList,
        /// <summary>
        /// 查询某个开始时间至当前时间所有被编辑过的关键词或创意
        /// </summary>
        getChangedIdList,

        /// <summary>
        /// 用于第三方应用检测升级 
        /// </summary>
        checkUpdate,

        /// <summary>
        /// 批量添加组
        /// </summary>
        bulkAdd,
        /// <summary>
        /// 客户登录 
        /// </summary>
        clientLogin,
        /// <summary>
        /// 客服登录 
        /// </summary>
        managerLogin,
        /// <summary>
        /// 关键词报告记录数量
        /// </summary>
        keywordCount,
        /// <summary>
        /// 生成关键词报告
        /// </summary>
        keyword,
        /// <summary>
        /// 创意报告记录数量
        /// </summary>
        creativeCount,
        /// <summary>
        /// 生成创意报告
        /// </summary>
        creative,
        /// <summary>
        /// 地域报告记录数量
        /// </summary>
        regionCount,
        /// <summary>
        /// 生成地域报告
        /// </summary>
        region,
    }
}
