﻿// ***********************************************************************
// Author           : 刘柏红
// Created          : 2013-04-07 06:22
//
// Last Modified By : 刘柏红
// Last Modified On : 04-15-2013 01:42
// ***********************************************************************


using System;
namespace Pz.API.QH360.SDK.Model
{
    /// <summary>
    /// 360服务端返回的错误，api中所有的实体都应该继承此类，因为360返回的字符串需要解析成实体，这个字符串可能就是错误信息
    /// 为了能够成功解析，实体必须继承此类
    /// </summary>
    [Serializable]
    public class ApiResult
    {
        /// <summary>
        /// 错误消息列表
        /// </summary>
        public Failure[] failures { get; set; }
    }

    /// <summary>
    /// api中返回影响的行数，如delete操作
    /// </summary>
     [Serializable]
    internal class AffectedRecords : ApiResult
    {
        public int affectedRecords { get; set; }
    }
}
