﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Pz.API.QH360.SDK.Model
{
    /// <summary>
    /// 获取的Access Token 对象
    /// </summary>
    [Serializable]
    public class MAccessToken
    {
        /// <summary>
        /// 错误代码
        /// </summary>
        public string error_code { get; set; }
        /// <summary>
        /// 错误消息
        /// </summary>
        public string error { get; set; }
        /// <summary>
        /// 获取的Access Token
        /// </summary>
        public string access_token { get; set; }
        /// <summary>
        /// Access Token的有效期，以秒为单位
        /// </summary>
        public string expires_in { get; set; }
        /// <summary>
        /// 用于刷新Access Token 的 Refresh Token
        /// </summary>
        public string refresh_token { get; set; }
        /// <summary>
        /// Access Token最终的访问范围，即用户实际授予的权限列表（用户在授权页面时，有可能会取消掉某些请求的权限）
        /// </summary>
        public string scope { get; set; }
    }
}
