﻿// ***********************************************************************
// Author           : 刘柏红
// Created          : 2013-04-07 06:22
//
// Last Modified By : 刘柏红
// Last Modified On : 04-12-2013 11:56
// ***********************************************************************
using System;
namespace Pz.API.QH360.SDK.Model
{
    /// <summary>
    /// 计划实体
    /// </summary>
     [Serializable]
    public class QH360MCampaign : ApiResult
    {
        /// <summary>
        /// 推广计划编号
        /// </summary>
        public long id { get; set; }
        /// <summary>
        /// 推广计划名称
        /// </summary>
        public string name { get; set; }
        /// <summary>
        /// 预算值
        /// </summary>
        public double? budget { get; set; }

        /// <summary>
        /// 投放地域，json格式的地域id数组，默认为全地域投放 
        /// </summary>
        public string region { get; set; }

        /// <summary>
        /// json 格式，Week 字段 1-7 表示周一至周日，若其中一星期某天不投放，可跳过，hour 总数为 24  其中 0为此时段不投放，1为投放。
        /// 例:[{“week”:1,”hour”:[1,1,1,1,1,1,1,1,1,1……]},{“w eek”:3,”hour”:[1,0,1,1,1,0,1,1,1,1……]}……]每周二不投放。 
        /// </summary>
        public string schedule { get; set; }

        /// <summary> 
        /// 开始时间
        /// </summary>
        public string startDate { get; set; }
        /// <summary>
        /// 结束时间
        /// </summary>
        public string endDate { get; set; }

        /// <summary>
        /// 推广计划状态
        /// </summary>
        public string status { get; set; }

        /// <summary>
        /// 推广计划创建时间
        /// </summary>
        public string addTime { get; set; }
        /// <summary>
        /// 推广计划更新日期
        /// </summary>
        public string updateTime { get; set; }

        /// <summary>
        /// 计划项目
        /// </summary>
        public class ScheduleType
        {
            /// <summary>
            /// Week 字段 1-7 表示周一至周日，若其中一星期某天不投放，可跳过，
            /// </summary>
            public int week { get; set; }
            /// <summary>
            /// hour 总数为 24  其中 0为此时段不投放，1为投放。例: 
            /// </summary>
            public int[] hour { get; set; }
        }
    }
}
