﻿
using System;
namespace Pz.API.QH360.SDK.Model
{
   /// <summary>
   /// 组实体
   /// </summary>
     [Serializable]
    public class QH360MGroup : ApiResult
    {
        /// <summary>
        /// 组id
        /// </summary>
        public long id;


        /// <summary>
        /// 计划id
        /// </summary>
        public long campaignId;


        /// <summary>
        /// 组名
        /// </summary>
        public string name;


        /// <summary>
        ///  广告组出价
        /// </summary>
        public double price;


        /// <summary>
        /// 匹配方式短语匹配的否定关键词
        /// 匹配方式为短语匹配或者精确匹配的否定关键词,使用
        ///JSON格式：其中phrase 代表短语 exact 代表精确 
        ///{”phrase”:[”短语匹配1”],”exact”:[”精确1”,”精确2”]}
        /// </summary>
        public string negativeWords;

        /// <summary>
        /// 精确匹配的否定关键词 
        /// </summary>
        public string exactNegativeWords;


        /// <summary>
        /// 广告组状态值，enable表示启用，pause表示暂停
        /// </summary>
        public string status { get; set; }

        /// <summary>
        /// 推广组创建时间
        /// </summary>
        public string addTime { get; set; }
        /// <summary>
        /// 广告组最后更新时间 
        /// </summary>
        public string updateTime;

        /// <summary>
        /// 广告组信息（名字和价格），示例： 
        ///[{"name":"ceshi1","price":1},{"name":" 
        ///ceshi2","price":1}] 
        /// </summary>
        [Serializable]
        internal class GroupItem
        {
            public string name { get; set; }
            public double price { get; set; }
        }
    }
    /// <summary>
    /// 这个是在批量添加或更新时方便json格式的转化
    /// </summary>
     [Serializable]
    internal class NegativeWordsType
    {
        /// <summary>
        /// 短语匹配的词
        /// </summary>
        public string[] phrase { get; set; }
        /// <summary>
        /// 精确匹配的词
        /// </summary>
        public string[] exact { get; set; }
    }
}
