﻿using Pz.API.QH360.SDK.Enum;
using System;
namespace Pz.API.QH360.SDK.Model
{
    /// <summary>
    /// 现有360api方法的所有返回值
    /// </summary>
    [Serializable]
    public class Result
    {
        private Failure[] failures = null;
        /// <summary>
        /// 错误消息
        /// </summary>
        public Failure[] Failures
        {
            get { return failures; }
            set { failures = value; }
        }

        /// <summary>
        /// 返回的状态
        /// </summary>
        public ResultStatus Status { get; set; }

        /// <summary>
        /// 响应Code
        /// </summary>
        public int ResultCode { get; set; }
        /// <summary>
        /// 本次请求消耗的配额
        /// </summary>
        public int QuotaCost { get; set; }
        /// <summary>
        /// 当前API Key剩余的配额
        /// </summary>
        public int QuotaRemain { get; set; }
        /// <summary>
        /// 有错误的时候的物料信息或者是索引
        /// </summary>
        public long ItemId { get; set; }

        /// <summary>
        /// 是否没有足够的配额
        /// </summary>
        public bool IsLessQuotaRemain
        {
            get {
                return ResultCode.Equals(90401)?true:false;
            }
        }
        /// <summary>
        /// AccessToken是否过期
        /// </summary>
        public bool IsAccessTokenExpires
        {
            get {
                return ResultCode.Equals(80102) ? true : false;
            }
        }
    }
}
