﻿using Pz.API.QH360.SDK.API;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
#if DEBUG

#endif
using System.Collections.Generic;
using Pz.API.QH360.SDK.Model;
using Pz.API.QH360.SDK.Common;
using System.Web;
using Pz.API.QH360.SDK.Enum;
using System.Threading;

namespace Test.Pz.API.QH360.SDK.API
{
    public class Config
    {
        public const string ClientId = "a1519d92a361a18a2a3b8f39c67d0d0f";
        public const string ClientSecret = "0f936ccc5d3444e488e05643da718bdd";
        public const string AccessToken = "242076203a7d0c720da9c2e5279be684589b4a66080315562";
        public const string RefreshToken = "242076203d1f6baf696e8e382dff4f95c869965a0d34435bc";

        public const string AppId = "1.0.706.4090";

        public const string SessionToken= "242076203d1f6baf696e8e382dff4f95c869965a0d34435bc";

        public static PostHeaders GetHeaders()
        {
            PostHeaders po = new PostHeaders() {
                accessToken = Config.AccessToken,
                apiKey = Config.ClientId,
                apiSecretID=Config.ClientSecret,
                appId=Config.AppId,
                sessionToken=Config.SessionToken
            };
            return po;
        }
    }

    /// <summary>
    ///这是 APIAccountTest 的测试类，旨在
    ///包含所有 APIAccountTest 单元测试
    ///</summary>
    [TestClass()]
    public class APIAccountTest
    {

        private TestContext testContextInstance;

        /// <summary>
        ///获取或设置测试上下文，上下文提供
        ///有关当前测试运行及其功能的信息。
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region 附加测试特性
        // 
        //编写测试时，还可使用以下特性:
        //
        //使用 ClassInitialize 在运行类中的第一个测试前先运行代码
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //使用 ClassCleanup 在运行完类中的所有测试后再运行代码
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //使用 TestInitialize 在运行每个测试前先运行代码
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //使用 TestCleanup 在运行完每个测试后运行代码
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///updateBudget 的测试
        ///</summary>
        [TestMethod()]
        public void updateBudgetTest()
        {

            APIAccount target = new APIAccount(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            int price = 1000000; // TODO: 初始化为适当的值
            Result actual = target.updateBudget(price);
            Assert.IsFalse(actual == null);
        }

        /// <summary>
        ///getCampaignIdList 的测试
        ///</summary>
        [TestMethod()]
        public void getCampaignIdListTest()
        {

            APIAccount target = new APIAccount();
            target.AuthHeader = Config.GetHeaders();
            long[] campaignIds = null;
            Result actual;
            actual = target.getCampaignIdList(ref campaignIds);
            Assert.IsFalse(null == campaignIds);
        }

        /// <summary>
        ///getAllObjects 的测试
        ///</summary>
        [TestMethod()]
        public void getAllObjectsTest()
        {
            APIAccount target = new APIAccount(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            long[] idList = new long[] { 3804480610, 465801576, 1724072552, 1623447656, 1623444328, 2026064232, 2512585323, 2193833582, 1422102126, 549666912, 130260323, 3804435042, 3401819234, 3401819490, 3401831266, 3401830498, 3401832546, 3401832802, 3401827426,123456};

            string fileId = string.Empty; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.getAllObjects(null,ref fileId);
            Assert.IsFalse(actual == null);
        }

        /// <summary>
        ///getFileState 的测试
        ///</summary>
        [TestMethod()]
        public void getFileStateTest()
        {
            APIAccount target = new APIAccount(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            string fileId = "2881728360";// TODO: 初始化为适当的值
            Generated generated = new Generated(); // TODO: 初始化为适当的值
            Generated generatedExpected = new Generated(); // TODO: 初始化为适当的值
            string filePath = string.Empty; // TODO: 初始化为适当的值
            string filePathExpected = string.Empty; // TODO: 初始化为适当的值
            string fileMd5 = string.Empty; // TODO: 初始化为适当的值
            string fileMd5Expected = string.Empty; // TODO: 初始化为适当的值
            long fds = 0;
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            int i = 0;
            Generated aGenerated = Generated.none;
            while (Generated.success != aGenerated)
            {
                actual = target.getFileState(fileId, ref generated, ref filePath, ref fileMd5, ref fds);
                i += actual.QuotaCost;
                int m = i;
                if (Generated.success != aGenerated)
                {
                    Thread.Sleep(1000);
                }
            }
        }

        /// <summary>
        ///getInfo 的测试
        ///</summary>
        [TestMethod()]
        public void getInfoTest()
        {
            APIAccount target = new APIAccount(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            MAccountInfo accountInfo = null; // TODO: 初始化为适当的值
            MAccountInfo accountInfoExpected = null; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.getInfo(ref accountInfo);
            Assert.AreEqual(accountInfoExpected, accountInfo);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("验证此测试方法的正确性。");
        }

        /// <summary>
        ///getExcludeIp 的测试
        ///</summary>
        [TestMethod()]
        public void getExcludeIpTest()
        {
            APIAccount target = new APIAccount(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            string item = null; // TODO: 初始化为适当的值
            string itemExpected = null; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.getExcludeIp(ref item); 
           
        }

        /// <summary>
        ///updateExcludeIp 的测试
        ///</summary>
        [TestMethod()]
        public void updateExcludeIpTest()
        {
            APIAccount target = new APIAccount(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            string[] item = new string[] { "183.119.197.56", "187.119.197.75" , "183.119.197.56", "187.119.197.75" ,
            "183.119.197.56", "187.119.197.75" , "183.119.197.56", "187.119.197.75" ,
            "183.119.197.56", "187.119.197.75" 
            }; // TODO: 初始化为适当的值
            string str = Json.SerializeObject(item);
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.updateExcludeIp(str);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("验证此测试方法的正确性。");
        }
    }
}
