﻿using Pz.API.QH360.SDK.API;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;

using Pz.API.QH360.SDK.Common;
using Pz.API.QH360.SDK.Model;
using System.Collections.Generic;
using System.Linq;
namespace Test.Pz.API.QH360.SDK.API
{


    /// <summary>
    ///这是 APICampaignTest 的测试类，旨在
    ///包含所有 APICampaignTest 单元测试
    ///</summary>
    [TestClass()]
    public class APICampaignTest
    {
        private TestContext testContextInstance;

        /// <summary>
        ///获取或设置测试上下文，上下文提供
        ///有关当前测试运行及其功能的信息。
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region 附加测试特性
        // 
        //编写测试时，还可使用以下特性:
        //
        //使用 ClassInitialize 在运行类中的第一个测试前先运行代码
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //使用 ClassCleanup 在运行完类中的所有测试后再运行代码
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //使用 TestInitialize 在运行每个测试前先运行代码
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //使用 TestCleanup 在运行完每个测试后运行代码
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///add 的测试
        ///</summary>
        [TestMethod()]
        public void addTest()
        {
            APICampaign target = new APICampaign();
            target.AuthHeader = Config.GetHeaders();
            long campaignIds = 0;
            Result actual;
            QH360MCampaign campaign = new QH360MCampaign();
            campaign.name = "lbhTest5";
            campaign.budget = 0;
            campaign.startDate = DateTime.Now.ToString();
            int[] arr = new int[] { 3, 8 };
            campaign.region = Json.SerializeObject(arr);
            QH360MCampaign.ScheduleType[] stArr = new QH360MCampaign.ScheduleType[3];
            QH360MCampaign.ScheduleType ms1 = new QH360MCampaign.ScheduleType()
            {
                week = 1,
                hour = new int[] { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
            };
            QH360MCampaign.ScheduleType ms2 = new QH360MCampaign.ScheduleType()
            {
                week = 2,
                hour = new int[] { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
            };
            QH360MCampaign.ScheduleType ms3 = new QH360MCampaign.ScheduleType()
            {
                week = 3,
                hour = new int[] { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
            };
            stArr[0] = ms1;
            stArr[1] = ms2;
            stArr[2] = ms3;
            campaign.schedule = Json.SerializeObject(stArr);
             campaign.region = Json.SerializeObject(arr);
            actual = target.add(campaign, ref campaignIds);
            Assert.IsFalse(null == actual);
        }


        /// <summary>
        ///deleteById 的测试
        ///</summary>
        [TestMethod()]
        public void deleteByIdTest()
        {
            APICampaign target = new APICampaign(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            long id = 2898523241; // TODO: 初始化为适当的值
            int affectedRecords = 0; // TODO: 初始化为适当的值
            int affectedRecordsExpected = 0; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.deleteById(id, ref affectedRecords);
            Assert.IsFalse(null == actual);
        }

        /// <summary>
        ///update 的测试
        ///</summary>
        [TestMethod()]
        public void updateTest()
        {
            APICampaign target = new APICampaign(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            QH360MCampaign campaign = new QH360MCampaign(); // TODO: 初始化为适当的值
            campaign.id = 1187223933;
            campaign.budget = 11;

            int[] arr = new int[] { 4, 5, 20 };
            campaign.region = Json.SerializeObject(arr);
            QH360MCampaign.ScheduleType[] stArr = new QH360MCampaign.ScheduleType[3];
            QH360MCampaign.ScheduleType ms1 = new QH360MCampaign.ScheduleType()
            {
                week = 1,
                hour = new int[] { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
            };
            QH360MCampaign.ScheduleType ms2 = new QH360MCampaign.ScheduleType()
            {
                week = 2,
                hour = new int[] { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
            };
            QH360MCampaign.ScheduleType ms3 = new QH360MCampaign.ScheduleType()
            {
                week = 3,
                hour = new int[] { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
            };
            stArr[0] = ms1;
            stArr[1] = ms2;
            stArr[2] = ms3;
            campaign.schedule = Json.SerializeObject(stArr);

            long campaignId = 0;
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.update(campaign, ref campaignId);
            Assert.IsFalse(null == actual);
        }

        /// <summary>
        ///getInfoById 的测试
        ///</summary>
        [TestMethod()]
        public void getInfoByIdTest()
        {
            APICampaign target = new APICampaign(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            //long id = 2898523497; // TODO: 初始化为适当的值
            long id = 1187218813;
            QH360MCampaign campaign = null; // TODO: 初始化为适当的值
            QH360MCampaign campaignExpected = null; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.getInfoById(id, ref campaign);
            Assert.IsFalse(null == actual);
        }

        /// <summary>
        ///getInfoByIdList 的测试
        ///</summary>
        [TestMethod()]
        public void getInfoByIdListTest()
        {
            APICampaign target = new APICampaign(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();

            long[] idList = null;
            APIAccount a = new APIAccount();
            a.AuthHeader = target.AuthHeader;
            a.getCampaignIdList(ref idList);
            List<QH360MCampaign> liCampaigns = null; // TODO: 初始化为适当的值
            List<QH360MCampaign> liCampaignsExpected = null; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.getInfoByIdList(idList, ref liCampaigns);
            Assert.AreEqual(liCampaignsExpected, liCampaigns);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("验证此测试方法的正确性。");
        }
    }
}
