﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using Pz.API.QH360.SDK.API;
using System.Collections.Generic;
using Pz.API.QH360.SDK.Model;


namespace Test.Pz.API.QH360.SDK.API
{
    
    
    /// <summary>
    ///这是 APICreativeTest 的测试类，旨在
    ///包含所有 APICreativeTest 单元测试
    ///</summary>
    [TestClass()]
    public class APICreativeTest
    {
        private TestContext testContextInstance;

        /// <summary>
        ///获取或设置测试上下文，上下文提供
        ///有关当前测试运行及其功能的信息。
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region 附加测试特性
        // 
        //编写测试时，还可使用以下特性:
        //
        //使用 ClassInitialize 在运行类中的第一个测试前先运行代码
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //使用 ClassCleanup 在运行完类中的所有测试后再运行代码
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //使用 TestInitialize 在运行每个测试前先运行代码
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //使用 TestCleanup 在运行完每个测试后运行代码
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion

        /// <summary>
        ///getInfoById 的测试
        ///</summary>
        [TestMethod()]
        public void getInfoByIdTest()
        {
            APICreative target = new APICreative(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            long id = 3720472381; // TODO: 初始化为适当的值
            //long id = 2965595497;
            QH360MCreative creative = null; // TODO: 初始化为适当的值
            QH360MCreative creativeExpected = null; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.getInfoById(id, ref creative);
            Assert.IsFalse(actual==null);
        }

        /// <summary>
        ///getInfoByIdList 的测试
        ///</summary>
        [TestMethod()]
        public void getInfoByIdListTest()
        {
            APICreative target = new APICreative(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            long[] idList = new long[] { 2512616508,2512615996 };// TODO: 初始化为适当的值
            List<QH360MCreative> liCreatives = null; // TODO: 初始化为适当的值
            List<QH360MCreative> liCreativesExpected = null; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual=null;
            actual = target.getInfoByIdList(idList, ref liCreatives);
            Assert.IsFalse(actual == null);
        }

        /// <summary>
        ///getIdListByGroupId 的测试
        ///</summary>
        [TestMethod()]
        public void getIdListByGroupIdTest()
        {
            APICreative target = new APICreative(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            long groupId = 2898521688; // TODO: 初始化为适当的值
            string status = string.Empty; // TODO: 初始化为适当的值
            long[] creativeIds = null; // TODO: 初始化为适当的值
            long[] creativeIdsExpected = null; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.getIdListByGroupId(groupId, status, ref creativeIds);
            Assert.IsFalse(actual == null);
        }

        /// <summary>
        ///add 的测试
        ///</summary>
        [TestMethod()]
        public void addTest()
        {
            APICreative target = new APICreative(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            QH360MCreative creative = new QH360MCreative(); // TODO: 初始化为适当的值
            creative.groupId = 465798237;
           // creative.groupId = 2965595497;
           // creative.campaignId = 2898522729;
            creative.title = "创意测试qa1";
            creative.description1 = "啦啦";
            creative.destinationUrl = "www.qiso360.com";
            long creativeid = 0; // TODO: 初始化为适当的值
            long creativeidExpected = 0; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.add(creative, ref creativeid);
            Assert.IsFalse(actual == null);
        }

        /// <summary>
        ///deleteByIdList 的测试
        ///</summary>
        [TestMethod()]
        public void deleteByIdListTest()
        {
            APICreative target = new APICreative(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            long[] idList = new long[] { 4039368443,4235353465 };//{ 2713918569}; // TODO: 初始化为适当的值
            int affectedRecords = 0; // TODO: 初始化为适当的值
            int affectedRecordsExpected = 0; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual = null;
            actual = target.deleteByIdList(idList, ref affectedRecords);
            Assert.IsFalse(actual == null);
        }


        /// <summary>
        ///update 的测试
        ///</summary>
        [TestMethod()]
        public void updateTest1()
        {
            APICreative target = new APICreative(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            long[] idList = new long[] { 734201314, 717427682 }; // TODO: 初始化为适当的值

            string status = "enable"; // TODO: 初始化为适当的值
            string title = string.Empty; // TODO: 初始化为适当的值
            string destinationUrl = string.Empty; // TODO: 初始化为适当的值
            string displayUrl = string.Empty; // TODO: 初始化为适当的值
            int affectedRecords = 0; // TODO: 初始化为适当的值
            int affectedRecordsExpected = 0; // TODO: 初始化为适当的值
            Result actual = null;
            actual = target.updateByIdList(idList, status, title, destinationUrl, displayUrl, ref affectedRecords);
            Assert.IsFalse(actual == null);
        }

        /// <summary>
        ///deleteById 的测试
        ///</summary>
        [TestMethod()]
        public void deleteByIdTest()
        {
            APICreative target = new APICreative(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            long id = 3519231717; // TODO: 初始化为适当的值
            int affectedRecords = 0; // TODO: 初始化为适当的值
            int affectedRecordsExpected = 0; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.deleteById(id, ref affectedRecords);
            Assert.IsFalse(actual == null);
        }



        /// <summary>
        ///getStatusByIdList 的测试
        ///</summary>
        [TestMethod()]
        public void getStatusByIdListTest()
        {
            APICreative target = new APICreative(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            long[] idList = new long[] { 734201314, 717427682 };
            List<QH360MCreative> liCreatives = null; // TODO: 初始化为适当的值
            List<QH360MCreative> liCreativesExpected = null; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.getStatusByIdList(idList, ref liCreatives);
            Assert.AreEqual(liCreativesExpected, liCreatives);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("验证此测试方法的正确性。");
        }


        /// <summary>
        ///updateByIdList 的测试
        ///</summary>
        [TestMethod()]
        public void updateByIdListTest()
        {
            APICreative target = new APICreative(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            long[] idList = new long[] { 2176966797 };//TODO: 初始化为适当的值
            string status = "enable"; // TODO: 初始化为适当的值
            string title = string.Empty; // TODO: 初始化为适当的值
            string destinationUrl = string.Empty; // TODO: 初始化为适当的值
            string displayUrl = string.Empty; // TODO: 初始化为适当的值
            int affectedRecords = 0; // TODO: 初始化为适当的值
            int affectedRecordsExpected = 0; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual = null;
            actual = target.updateByIdList(idList, status, null, null, null, ref affectedRecords);
            Assert.AreEqual(affectedRecordsExpected, affectedRecords);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("验证此测试方法的正确性。");
        }

        /// <summary>
        ///update 的测试
        ///</summary>
        [TestMethod()]
        public void updateTest()
        {
            APICreative target = new APICreative(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            long id =13837844579; // TODO: 初始化为适当的值
            string title = "恒企会计-全国百校连锁品牌"; // TODO: 初始化为适当的值
            string description1 = "[恒企]全国会计连锁品牌! 丰富经验老会计师亲手教您! 培训即可上岗!";// TODO: 初始化为适当的值
            string description2 = string.Empty; // TODO: 初始化为适当的值
            string destinationUrl = "http://nc.hengqijy.com"; // TODO: 初始化为适当的值
            string displayUrl = "http://nc.hengqijy.com";

 // TODO: 初始化为适当的值
            long creativeid = 0; // TODO: 初始化为适当的值
            long creativeidExpected = 0; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.update(id,null, title, description1, description2, destinationUrl, displayUrl, ref creativeid);
            Assert.AreEqual(creativeidExpected, creativeid);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("验证此测试方法的正确性。");
        }
    }
}
