﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using Pz.API.QH360.SDK.API;
#if DEBUG

#endif
using System.Collections.Generic;
using Pz.API.QH360.SDK.Model;

namespace Test.Pz.API.QH360.SDK.API
{
    
    
    /// <summary>
    ///这是 APIGroupTest 的测试类，旨在
    ///包含所有 APIGroupTest 单元测试
    ///</summary>
    [TestClass()]
    public class APIGroupTest
    {
        private TestContext testContextInstance;

        /// <summary>
        ///获取或设置测试上下文，上下文提供
        ///有关当前测试运行及其功能的信息。
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region 附加测试特性
        // 
        //编写测试时，还可使用以下特性:
        //
        //使用 ClassInitialize 在运行类中的第一个测试前先运行代码
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //使用 ClassCleanup 在运行完类中的所有测试后再运行代码
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //使用 TestInitialize 在运行每个测试前先运行代码
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //使用 TestCleanup 在运行完每个测试后运行代码
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///getIdListByCampaignId 的测试
        ///</summary>
        [TestMethod()]
        public void getIdListByCampaignIdTest()
        {
            APIGroup target = new APIGroup(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            long campaignId = 3536022638;
            string status = string.Empty; // TODO: 初始化为适当的值
            Nullable<DateTime> fromTime = new Nullable<DateTime>(); // TODO: 初始化为适当的值
            long[] groupIds = null; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.getIdListByCampaignId(campaignId, status, "", ref groupIds);
            Assert.IsFalse(null == actual);
        }

        /// <summary>
        ///getInfoById 的测试
        ///</summary>
        [TestMethod()]
        public void getInfoByIdTest()
        {
            APIGroup target = new APIGroup(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
           // long id = 2747529833; // TODO: 初始化为适当的值
            long id = 566428733;
            QH360MGroup group = null; // TODO: 初始化为适当的值
            QH360MGroup groupExpected = null; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.getInfoById(id, ref group);
            Assert.IsFalse(null == actual);
        }

        /// <summary>
        ///add 的测试
        ///</summary>
        [TestMethod()]
        public void addTest()
        {
            APIGroup target = new APIGroup(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            QH360MGroup group = new QH360MGroup(); // TODO: 初始化为适当的值
            group.campaignId = 281272680;
            group.name = "Lbh测试组";
            group.price = 78;
            group.negativeWords = "aa,bb";
            group.exactNegativeWords = "cc,dd";

            long groupid = 0; // TODO: 初始化为适当的值
            long groupidExpected = 0; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.add(group, ref groupid);
            Assert.IsFalse(null == actual);
        }

        /// <summary>
        ///deleteById 的测试
        ///</summary>
        [TestMethod()]
        public void deleteByIdTest()
        {
            APIGroup target = new APIGroup(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            long id = 2747530089; // TODO: 初始化为适当的值
            int affectedRecords = 0; // TODO: 初始化为适当的值
            int affectedRecordsExpected = 0; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.deleteById(id, ref affectedRecords);
            Assert.IsFalse(null == actual);
        }

        /// <summary>
        ///update 的测试
        ///</summary>
        [TestMethod()]
        public void updateTest()
        {
            APIGroup target = new APIGroup(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            QH360MGroup group = new QH360MGroup(); // TODO: 初始化为适当的值
            group.id = 2747529833;
            group.negativeWords = "aa,bb";
            //group.exactNegativeWords = "cc,dd";
            long groupid = 0; // TODO: 初始化为适当的值
            long groupidExpected = 0; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.update(group, ref groupid);
            Assert.IsFalse(null == actual);
        }


        /// <summary>
        ///bulkAdd 的测试
        ///</summary>
        [TestMethod()]
        public void bulkAddTest()
        {
            APIGroup target = new APIGroup(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
             long campaignId = 985903220; // TODO: 初始化为适当的值
            List<QH360MGroup> liGroups = new List<QH360MGroup>();
            for (int i = 0; i < 2; i++)
            {
                QH360MGroup group = new QH360MGroup();
                group.name = "Lbh组"+(i+1).ToString();
                group.price = 0.34;
                liGroups.Add(group);
               
            }
            long[] groupIds = null; // TODO: 初始化为适当的值
            long[] groupIdsExpected = null; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.bulkAdd(campaignId, liGroups, ref groupIds);
            Assert.AreEqual(groupIdsExpected, groupIds);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("验证此测试方法的正确性。");
        }

    }
}
