﻿
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using Pz.API.QH360.SDK.API;
using System.Collections.Generic;
using Pz.API.QH360.SDK.Model;

namespace Test.Pz.API.QH360.SDK.API
{
    
    
    /// <summary>
    ///这是 APIKeywordTest 的测试类，旨在
    ///包含所有 APIKeywordTest 单元测试
    ///</summary>
    [TestClass()]
    public class APIKeywordTest
    {
        private TestContext testContextInstance;

        /// <summary>
        ///获取或设置测试上下文，上下文提供
        ///有关当前测试运行及其功能的信息。
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region 附加测试特性
        // 
        //编写测试时，还可使用以下特性:
        //
        //使用 ClassInitialize 在运行类中的第一个测试前先运行代码
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //使用 ClassCleanup 在运行完类中的所有测试后再运行代码
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //使用 TestInitialize 在运行每个测试前先运行代码
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //使用 TestCleanup 在运行完每个测试后运行代码
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///getIdListByGroupId 的测试
        ///</summary>
        [TestMethod()]
        public void getIdListByGroupIdTest()
        {
            APIKeyword target = new APIKeyword(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            long groupId = 2965595241; // TODO: 初始化为适当的值
            string status = string.Empty; // TODO: 初始化为适当的值
            string matchType = string.Empty; // TODO: 初始化为适当的值
            long[] keywordIds = null; // TODO: 初始化为适当的值
            string[] keywordIdsExpected = null; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.getIdListByGroupId(groupId, status, matchType, ref keywordIds);
            Assert.IsFalse(actual == null);
        }

        /// <summary>
        ///getInfoById 的测试
        ///</summary>
        [TestMethod()]
        public void getInfoByIdTest()
        {
            APIKeyword target = new APIKeyword(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            long id = 1539861295;//2982399593; // TODO: 初始化为适当的值
            QH360MKeyword keyword = null; // TODO: 初始化为适当的值
            QH360MKeyword keywordExpected = null; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.getInfoById(id, ref keyword);
            Assert.IsFalse(actual == null);
        }

        /// <summary>
        ///getInfoByIdList 的测试
        ///</summary>
        [TestMethod()]
        public void getInfoByIdListTest()
        {
            APIKeyword target = new APIKeyword(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            long[] idList = new long[] { 4291106046, 4291106302,34634 };//{ 2982396009, 2982396265, 2982399593, 2982399849 }; // TODO: 初始化为适当的值
            List<QH360MKeyword> liKeywords = null; // TODO: 初始化为适当的值
            List<QH360MKeyword> liKeywordsExpected = null; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.getInfoByIdList(idList, ref liKeywords);
            Assert.IsFalse(actual == null);
        }

        /// <summary>
        ///add 的测试
        ///</summary>
        [TestMethod()]
        public void addTest()
        {
            APIKeyword target = new APIKeyword(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();

            QH360MKeyword keyword = new QH360MKeyword(); // TODO: 初始化为适当的值
            keyword.groupId = 2126762590;
            keyword.word = "郭德纲";
            keyword.destinationUrl = "www.qiso360.com";
            keyword.price = -9;
            keyword.matchType = "exact";
            long keywordId = 0; // TODO: 初始化为适当的值
            long[] keywordIdsExpected = null; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual=null;
            actual = target.add(keyword,ref keywordId);
            Assert.IsFalse(actual == null);
        }



        /// <summary>
        ///deleteByIdList 的测试
        ///</summary>
        [TestMethod()]
        public void deleteByIdListTest()
        {
            APIKeyword target = new APIKeyword(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            long[] idList = new long[] { 4291106046, 4291106302, 34634 }; // TODO: 初始化为适当的值
            int affectedRecords = 0; // TODO: 初始化为适当的值
            int affectedRecordsExpected = 0; // TODO: 初始化为适当的值
            Result actual = null;
            actual = target.deleteByIdList(idList, ref affectedRecords);
            Assert.IsFalse(actual == null);
        }

        /// <summary>
        ///add 的测试
        ///</summary>
        [TestMethod()]
        public void addTest1()
        {
            APIKeyword target = new APIKeyword(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            long groupId = 1505985895; // TODO: 初始化为适当的值
            List<QH360MKeyword> liKeyword = null; // TODO: 初始化为适当的值

            liKeyword = new List<QH360MKeyword>();
            for (int i = 0; i < 2; i++)
            {
                QH360MKeyword k = new QH360MKeyword();
                k.groupId = groupId;
               // k.word = i.ToString() + "abc3";
                if (i == 0)
                    k.word = "。";
                else
                k.word = "北大街";
                k.price = i;
                k.destinationUrl = "www.qiso360.com";
                //if (i % 2 == 0)
                //    k.matchType = "exact";
                //else
                //    k.matchType = "phrase";
                k.matchType = "phrase";
                liKeyword.Add(k);
            }

            long[] keywordIds = null; // TODO: 初始化为适当的值
            long[] keywordIdsExpected = null; // TODO: 初始化为适当的值
            Result actual = null;
            actual = target.add(groupId,liKeyword, ref keywordIds);
            Assert.IsFalse(actual == null);
        }

        [TestMethod()]
        public void updateByIdListTest()
        {
            APIKeyword target = new APIKeyword(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            long[] idList = new long[] { 4056693225 }; // TODO: 初始化为适当的值
            string status = string.Empty; // TODO: 初始化为适当的值
            double price = 0F; // TODO: 初始化为适当的值
            string url = string.Empty; // TODO: 初始化为适当的值
            string matchType = string.Empty; // TODO: 初始化为适当的值
            int affectedRecords = 0; // TODO: 初始化为适当的值
            int affectedRecordsExpected = 0; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual = null;
            actual = target.updateByIdList(idList, null, 0.43, null, null, ref affectedRecords);
            Assert.AreEqual(affectedRecordsExpected, affectedRecords);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("验证此测试方法的正确性。");
        }

        /// <summary>
        ///getStatusByIdList 的测试
        ///</summary>
        [TestMethod()]
        public void getStatusByIdListTest()
        {
            APIKeyword target = new APIKeyword(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            long[] idList = new long[] { 1305701310 };//{ 2748148810, 2748149066, 2680968205, 2680967949, 2680967693, 2680968461, 2680956941, 2680957709, 2680957453, 2680968973, 2680968717, 2680957197, 2748149578, 2680969997, 2680969741, 2680970509, 2680964621, 2680969485, 2680969229 };
            List<QH360MKeyword> liKeywords = null; // TODO: 初始化为适当的值
            List<QH360MKeyword> liKeywordsExpected = null; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.getStatusByIdList(idList, ref liKeywords);
            Assert.AreEqual(liKeywordsExpected, liKeywords);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("验证此测试方法的正确性。");
        }
    }
}
